What is CPanel?

CPanel is a fully featured web-based control panel that allows you to manage your domain through a web interface. The idea is to transfer as much of the control and responsibility of managing your web site to you. You have the ability to manage all aspects of e-mail, files, backup, FTP, CGI scripts, and web site statistics.

Refer to How do I use CPanel? for more information on how to CPanel's features.


How do I get help?

This help is designed to help you find the information you require as quickly as possible. If you are unsure how to do something or you have a problem, try the following approaches:

  • Contents - The Contents allows you to scan through the topics that are available in a logical order. It is worth taking a few minutes and reading the Contents to familiarize yourself with the help.

  • Index - The Index lists key words and where they appear in the help. Use the Index when you know the type of thing you are looking for but are unsure where the information might be.

  • Search - The Search tab allows you to search the help file for specific words. Use the Search engine when you do not have time to use the Contents or the Index.


CPanel themes

Themes are the visual representation of the CPanel user interface - in other words, what CPanel looks like. CPanel has one standard theme:

  • CPanel X - Has a front page that displays all of the central functions with account information on one page. Because this theme uses more graphics, it is slower to load.

    Click to display image

Your hosting provider may allow you to change between various themes. This documentation has been written using the CPanel X theme as a reference.

Many hosting providers write their own themes, which may be as simple as changing the font type and background color to as complex as reorganizing the CPanel layout and where functions are displayed. You may not be able to find information quickly in this documentation if you are using this documentation with a customized CPanel theme - please ask your hosting provider for more information.


How do I use CPanel?

CPanel provides a complete range of functionality to manage all aspects of your web site. Browse through the following topics for the information you need.

Topics:

Logging on
General server information
Mail
Change Password
Parked Domains
Addon Domains
FTP Manager
File Manager
Disk Usage
Backup
Password protect directories
Error pages
Subdomains
MySQL
PostgreSQL
SSL Shell/Telnet access
Redirects
Frontpage Extensions
Web/FTP Stats
Raw Access Logs
Raw Log Manager
Subdomain Stats
Search Engine Submit
Chatroom
PhpMyChat
Bulletin Board
CGI Center
Scripts Library
Interchange shopping cart
Agora Shopping Cart
Cron jobs
Network Tools
MIME Types
Apache handlers
Manage OpenPGP keys
HotLink Prevention
Index Manager
IP Deny Manager


Logging on

You need to log on in order to use CPanel to manage your web site.

To log on:

  1. Enter the address of your CPanel in your web browser. The address needs to be in the form of http://www.yourdomain.com:2082 or https://www.yourdomain.com:2083

  2. Enter your user name and password in the User Name and Password fields.

  3. Click on OK button. You will now be logged on to CPanel.

Click to display image

Topics:

Logging out


Logging out

You should explicitly log out whenever you have finished using CPanel, as this tells the web server that you have finished that session. If you do not log out, the server automatically closes your session after a set period of time, but there is a small chance that a hacker could use that open connection.

To log out:

  1. Click on the Logout button button. This is located on the opening page of CPanel in both the default and iconic themes.


General server information

You can view a variety of information about the server from the home page. The following links are available:

  • Service Status - Displays information about the status of the web services currently running.

  • Installed Perl Modules - Displays a list of Perl modules that are currently installed. You can click on each module to view information about that module.

  • Documentation - Displays the online help for CPanel.

To view general server information:

  1. Click on the Click to View link next to the required option in the General server information area.

    Click to display image Viewing the server status


Mail

Mail button The Mail area allows you to manage all aspects of your e-mail, from adding new accounts, managing mailing lists, and setting spam filters. There are quite a number of options available, so take your time.

Note: All e-mail options can be used in conjunction with each other. For example, you could set up an autoresponder on your main account to e-mail an "Out of Office" message, a forwarder to send the e-mail to your uncle's house where you are staying, and a spam filter to reject all e-mail with "credit" in the subject line. This flexibility is what makes e-mail so powerful as a communication medium.

To open the Mail area:

  1. Click on the Mail button on the home page.

    Click to display image

Topics:

Reading your e-mail
E-mail Accounts
Setting your default e-mail address
Autoresponders
E-mail Filtering
Forwarders
Mailing Lists
Spam Assassin
Tracing an e-mail address
Altering your Mail Exchanger (MX Entry) setting


Reading your e-mail

Web Mail button You can read your online e-mail using NeoMail, Horde, or SquirrelMail. All of these popular web mail applications allow you to read your e-mail, save them, keep an address book, and perform all of the other basic e-mail functions that you are used to. The main difference between web mail and an offline e-mail applications, such as Eudora or Microsoft Outlook Express, is that all of these functions are performed online, rather than on your own computer, and offline applications generally provide more features.

Web mail is optional. You can still use your favorite offline e-mail applications, if you prefer. You can even use a combination of web mail applications and another tool - you can check your e-mail online, perhaps when you're at work, and download your e-mail to your computer when you get home. You can automatically configure Outlook Express, or manually configure other mail applications to read your e-mail offline.

To read your e-mail online:

  1. Click on the Web Mail link in the Mail area to access your default e-mail account, or click on the Add/Remove accounts link and click on the Read Webmail button next to the account that you want to read.

    Note: You can also save this link as a bookmark, so that you can access it without having to use CPanel.

  2. Click on the web application that you would like to use.

  3. You are now in the web mail window for your default e-mail address. Refer to the following links if you need more information about the web mail application you are using:

    • NeoMail summary

    • Horde summary

    • SquirrelMail summary

Topics:


NeoMail summary

NeoMail is fairly self-explanatory. The text below describes the main buttons in NeoMail and what they do. This is provided as a summary reference, and not a detailed description of how to use NeoMail. If you do not know how to use some of the features, have a look at the NeoMail home page.

Note: You can not use HTML code in NeoMail - plain text only.

NeoMail functions:

  • Inbox Inbox - Choose a folder to display. The default folder is your Inbox.

  • Compose Compose - Compose a new e-mail message and send it using the Send button. You can not use HTML code - plain text only.

  • Refresh Refresh - Refreshes the displayed page. Use it to check if new mail has arrived since the window was opened.

  • User Preferences User Preferences - Displays the Preferences page, which allows you to set a variety of options., such as default language, number of messages displayed per page, and your e-mail signature.

  • Address Book Address Book - Displays your Address Book of saved e-mail addresses. Click on an address to create a new e-mail with their e-mail address automatically added.

  • Folders Folders - Allows you to create new folders and delete old ones. Useful for organizing your e-mail.

  • Empty Trash Empty Trash - Empties the neomail-trash folder.

  • Logout Logout - Closes the connection between you and NeoMail.

  • Page Navigation Page Navigation - Navigate to the first, previous, next, last, or specific page of e-mail.

  • Move Move - Moves the selected items to the displayed folder - the default folder is the trash. Click on the on the tick box next to the specific message to select, or click on the All tick box to select all messages in this window.


Horde summary

SquirrelMail is a full-featured e-mail application. The text below describes the main buttons in Horde and what they do. This is provided as a summary reference, and not a detailed description of how to use Horde. If you do not know how to use some of the features, have a look at the Horde home page.

Horde functions (available from the top menu bar):

  • INBOX icon - Displays your inbox with all your current mail that has not been viewed, moved, or deleted.

  • Compose icon - Write a new e-mail message. There are several options available, such as using an address book to choose the recipient(s) of your e-mail, adding attachments, and using special characters in the e-mail.

  • Folders icon - Organize your mail messages into different folders. You can have as many different folder as you want.

  • Options icon - Set a large number of options on how you use Horde. Please read the description of a setting carefully before applying it.

  • Search icon - Search for a particular e-mail message. You can search by any field in the e-mail and search through any folder.

  • Help icon - Displays the Horde online help. Please read this help when you have any questions or problems.

  • Addressbook icon - Stores e-mail addresses of contacts. Click on any e-mail address to create a new e-mail message to that person.

  • Logout icon - Logs you out of the Horde application. You should always do this when you have finished using Horde.

Additional Horde functions (available from the bottom menu bar):

  • Calendar icon - Displays a calendar on which you can enter events.

  • Memos icon - Create notes for your future reference.

  • Tasks icon - Create a list of tasks that you need to perform.


SquirrelMail summary

SquirrelMail is a full-featured e-mail application. The text below describes the main buttons in SquirrelMail and what they do. This is provided as a summary reference, and not a detailed description of how to use SquirrelMail. If you do not know how to use some of the features, have a look at the SquirrelMail home page.

SquirrelMail functions:

  • Compose - Write a new e-mail message. There are several options available, such as using an address book to choose the recipient(s) of your e-mail, adding attachments, and choosing a signature.

  • Addresses - Stores e-mail addresses of contacts. Click on any e-mail address to create a new e-mail message to that person.

  • Folders - Organize your mail messages into different folders. You can have as many different folder as you want.

  • Options - Set a large number of options on how you use SquirrelMail. Please read the description of a setting carefully before applying it.

  • Search - Search for a particular e-mail message. You can search by any field in the e-mail and search through any folder.

  • Help - Displays the SquirrelMail online help. Please read this help when you have any questions or problems.


E-mail Accounts

You can set up as many POP (Post Office Protocol) e-mail accounts as you require, up to your maximum limit. Each one of these is in the standard e-mail formation of address@yourdomain.com. As with your default e-mail address, you can access these accounts through web mail or through your own offline e-mail application.

To add an e-mail account:

  1. Click on the Add/Remove Accounts link in the Mail area.

  2. Click on the Add Account link.

  3. Enter the first part of the e-mail address and the password for the account in E-mail and Password fields.

  4. Enter the maximum size limit of this mailbox in the Quota field, if required. The size limit is in megabytes. Not entering a number means that the mailbox size is only limited by the available disk space.

  5. Click on the Create button.

  6. Your new account has been added. Refer to Configuring Outlook Express to read e-mail if you want to use Outlook Express to read e-mail received by the new account.

Click to display image Adding an e-mail account

Topics:


Configuring Outlook Express to read e-mail

Because Microsoft Outlook Express is the most popular e-mail application available, you can automatically configure Outlook Express from CPanel. This saves time in manually configuring your e-mail application and avoids errors.

Note: This will only work if you have Microsoft Outlook installed on your machine and are running any version of Windows.

To automatically configure Outlook Express:

  1. Click on the Add/Remove Accounts link in the Mail area.

  2. Click on the Outlook (Express) AutoConfig link next to the required account.

  3. Read the message in the alert window and click on the OK button. You may need to repeat this step two or three times.

  4. Click on the Open this file from its current location radio button, and click on the OK button in the File Download window.

  5. Click on the Yes button in the Registry Editor window and repeat for the last window. Outlook Express has now been configured for this account. You need to repeat this process for as many accounts as you want to access through Outlook Express.


Changing the password of an e-mail account

It is useful to occasionally change the passwords on your e-mail accounts to maximize your e-mail security. You should always change your password if you think someone else has access to your account.

Note: Make sure that you change the password in your offline e-mail application as well, or you will not be able to upload or download e-mail to this account.

To change the password of an e-mail account:

  1. Click on the Add/Remove Accounts link in the Mail area.

  2. Click on the Change Password button next to the required e-mail address.

  3. Enter the new password in the New Password field.

  4. Click on the Change button. Your password has now been changed for that account.


Deleting an e-mail account

You can delete an e-mail account when the account is no longer needed. You can not delete your default account.

Warning: Make sure you download any mail that you want to keep, as deleting the account will delete all of the mail still in that account. You can not recover this information once the account has been deleted.

To delete an e-mail account:

  1. Click on the Add/Remove Accounts link in the Mail area.

  2. Click on the Delete button next to the unwanted e-mail address.

  3. Click on the Yes button.


Setting your default e-mail address

Any e-mail that is sent to an unknown account at your domain name, such as unknown@yourdomain.com, gets automatically rerouted to your default e-mail account. All web site accounts are automatically assigned a default e-mail address - user@yourdomain.com - which you can change, if required.

To set your default e-mail address:

  1. Click on the Default Address link in the Mail area.

  2. Click on the Set Default Address link.

  3. Enter the complete e-mail address of the new default in the field next to your web site name drop-down list.

    Note: You can enter :blackhole: to throw away all incoming mail, or :fail: no such address here to bounce the e-mail back to the sender.

  4. Click on the Change button. Your new default e-mail address has now been set.

Click to display image Setting your default e-mail message


Autoresponders

Autoresponders are e-mail messages that are sent automatically when an e-mail arrives for a specific e-mail account. Autoresponders are most commonly used for an "Out of Office" style message to inform your correspondents that you are not available, without you having to reply manually. You can have more than one autoresponder on one account. You can use plain text or include HTML code in the autoresponder, and choose from a wide variety of character sets.

To add an autoresponder:

  1. Click on the Autoresponders link in the Mail area.

  2. Click on the Add Autoresponder link.

  3. Enter the address of the account that the autoresponder responds to in the Email field.

  4. Enter your name or address in the From field. You do not have to put anything in this field.

  5. Enter the subject line of the autoresponder in the Subject field.

  6. Click on the required character set for this autoresponder from the Character Set drop-down list, if required.

  7. Click on the HTML Message tick box if you want to include HTML code in the autoresponder.

  8. Enter the autoresponder message in the Body field. You can not use HTML code in this field - plain text only.

  9. Click on the Create button.

Click to display image Adding an autoresponder

Topics:


Editing an autoresponder

Modify an autoresponder if you need to alter the details of the message or if you set it to the wrong account.

To edit an autoresponder:

  1. Click on the Autoresponders link in the Mail area.

  2. Click on the Edit button next to the autoresponder that you want to edit.

  3. Edit the autoresponder's fields as required. Refer to Autoresponders if you are not sure what you can do in each field.

  4. Click on the Create button to edit the autoresponder.

Click to display image Editing an autoresponder


Deleting an autoresponder

Delete an autoresponder when you no longer need to use it. If you use the autoresponder at frequent intervals, such as an "Out of Office" message, you can modify it to point to a nonexistent e-mail account, such as store@yourdomain.com, and then simply change the account name back when you need it again. Refer to Editing an autoresponder for more information.

To delete an autoresponder:

  1. Click on the Autoresponders link in the Mail area.

  2. Click on the Delete button next to the autoresponder that you want to delete.


E-mail Filtering

You can block an e-mail using spam filters. There are many definitions of spam, but one particularly useful one is the following:

Spam is the electronic version of junk mail, and has been around since the Internet was created. E-mail filters are a way of filtering your e-mail to remove unwanted mail based on a variety of criteria. You can block any sort of e-mail, not just mail of a commercial nature. Blocked mail can be deleted automatically or sent to another e-mail address or script. These filters are quite flexible - some examples are provided after the instruction on how to add a spam filter below. All filters are cumulative.

Useful spam links:

  • Six simple things you can do to prevent spam

  • Alternate definition of spam

  • Usenet definition of spam

Also refer to Spam Assassin for another approach to dealing with spam.

To add an e-mail filter:

  1. Click on the E-mail Filtering link in the Mail area.

  2. Click on the Add Filter link.

  3. Click on the required header field in the first drop-down list. These are the various fields in any e-mail message.

  4. Click on the required filter action in the second drop-down list. This action will act on the text entered in the third field.

    • equals - match the text exactly (whole words only). "Credit" will block "Credit".

    • matches regex - matches the text based on regular expression (regex) rules. Regular expressions are a powerful but complex area. You do not need to use regular expression filters for most circumstances. Refer to these two good introductory tutorials - Using Regular Expressions and Learning to Use Regular Expressions - for more information.

    • contains - match the specified text in any circumstance. "porn" will block "porn" and "pornography".

    • begins with - match the specified text when it is the beginning of a word. "porn" will block "porn" and "pornography" but not "teenporn".

  5. Enter the filter text in the third field. This text is case sensitive.

  6. Enter the destination for the filtered e-mail in the Destination field. There are three separate types of destination:

    • Destroy the e-mail - Enter Discard in the field.

    • Redirect to another address - Enter the e-mail address to which to redirect the e-mail.

    • Redirect to a script - Enter the full script path on the machine that hosts your web site.

  7. Click on the Activate button.

Example:

  • To redirect all e-mail from "john@paradise.net", enter: From, equals, john@paradise.net, david@corse.org.nz

  • To delete all e-mail from paradise.net, enter: From, contains, paradise.net, Discard

  • To delete all references to pornography, enter: Any Header, contains, porn, Discard

  • To discard all e-mail that Spam Assassin has marked as spam, enter: SpamAssassin Spam Header, begins with, yes, Discard

Click to display image Adding a spam filter

Topics:

Deleting an e-mail filter


Deleting an e-mail filter

Delete a spam filter when you no longer need it. There is no way to modify a spam filter - if you have made a mistake, simply delete the filter and start again.

To delete a spam filter:

  1. Click on the E-mail Filtering link in the Mail area.

  2. Click on the Delete button next to the spam filter that you want to delete.


Forwarders

Forwards simply allow you to automatically forward e-mail sent to one account to another account. This is useful when you work at two separate locations, or have gone on holiday.

To forward mail from one account to two or more accounts, just add two or more forwards for the account that is being forwarded.

To add a forwarder:

  1. Click on the Forwarders link in the Mail area.

  2. Click on the Add Forwarder link.

  3. Enter the first part of the e-mail address that will be forwarded in the first field.

  4. Choose the required domain from the drop-down list.

  5. Enter the full e-mail address that the forwarder will forward mail to in the second field.

  6. Click on the Add Forwarder button.

Click to display image Adding a forwarder

Topics:

Deleting a forwarder


Deleting a forwarder

Delete a forwarder when you no longer need it. You can not modify an e-mail forwarder - if you have made a mistake, simply delete the forwarder and start again.

To delete an e-mail forwarder:

  1. Click on the Forwarders link in the Mail area.

  2. Click on the Delete button next to the forwarder that you want to delete.


Mailing Lists

Mailman is a popular mailing list script. Mailing lists are an ideal tool for communication between far-flung participants and can be about anything you want. Mailman allows you to set up a mailing list with a large number of configurable options, such as who is on the list, where mailing lists messages are sent, and whether you include welcoming messages to new subscribers.

The Mailman documentation, which is incorporated into its Administration panel, is clear and helpful, and should be referred to for all questions about using the script. The instructions in this section deal with how to set up, modify, and delete a Mailman mailing list from your CPanel. You can can also refer to the Mailman home page for more information.

Note: It is a good idea to be aware of spam and its definition before setting up a mailing list - refer to E-mail Filtering for more information.

To add a mailing list:

  1. Click on the Mailing Lists link in the Mail area.

  2. Click on the Add Mailing List link.

  3. Enter the name of the mailing list in the List Name field, the password for the list in the Password field, and the domain it is for from the Domain drop-down list.

  4. Click on the Create button. The list is created in the /usr/local/cpanel/3rdparty/mailman/lists folder.

Click to display image Adding a mailing list

Topics:


Editing a mailing list

There are many different configurable options available with the Mailman script. This procedure shows you how to open up the Administration panel so that you can modify the script options. Use the Mailman documentation that is included in the Administration panel to answer any specific questions you might have.

To edit a mailing list:

  1. Click on the Mailing Lists link in the Mail area.

  2. Click on the Edit button next to the mailing list that you want to edit.

  3. Log in to the mailing list with your password. You are now in the Mailman Administration panel and can adjust options as you require.


Deleting a mailing list

Delete a Mailman mailing list when you no longer want the list to be active.

Warning: Deleting the mailing list will delete all archives, current mail, and members e-mail addresses. If you want to keep any of this information, be sure to download or otherwise copy these files before deleting the mailing list. Once the mailing list is deleted the information is unrecoverable.

To delete a mailing list:

  1. Click on the Mailing Lists link in the Mail area.

  2. Click on the Delete button next to the mailing list that you want to delete.

  3. Click on the Yes button.


Spam Assassin

Spam Assassin is a mail filter installed on a mail server used to identify spam. It checks for spam using a large number of pre-set rules that check the header, body, and sender of all e-mail messages sent to your domain mailbox. For more information about Spam Assassin, refer to the following links:

  • Spam Assassin - Spam Assassin web site.

  • Spam Assassin rules - A list of all the rules that Spam Assassin currently uses.

Also refer to E-mail Filtering for more information about spam and setting up filters.

To enable Spam Assassin:

  1. Click on the Spam Assassin link in the Mail area.

  2. Click on the Enable Spam Assassin button.

Topics:


Configuring Spam Assassin

You can change how Spam Assassin deals with spam. The following options are available:

  • required_hits - The number of e-mails received before a certain e-mail is considered spam.

  • rewrite_subject - Alter the subject line of spam e-mail. Enter 1 to enable or 0 to disable.

  • subject_tag - Text added to the subject line of spam e-mails. rewrite_subject must be enabled for this to work.

  • blacklist_from - Enter an e-mail address that you always want classified as spam. The asterix symbol (*) can be used as a wildcard.

  • whitelist_from - Enter an e-mail address that you never want classified as spam. The asterix symbol (*) can be used as a wildcard.

To configure Spam Assassin

  1. Click on the Spam Assassin link in the Mail area.

  2. Click on the Configure Spam Assassin button.

  3. Change the settings as required.

  4. Click on the Save button.

    Click to display image Configuring Spam Assassin


Enabling or disabling the Spam Box

The Spam Assassin Spam Box is a separate mail folder called "spam". If enabled, all e-mail that Spam Assassin flags as spam is automatically delivered to the "spam" folder.

Note: You need an IMAP e-mail client, such as Horde, to view the Spam Box (refer to Horde summary for more information).

To enable or disable the Spam Box:

  1. Click on the Spam Assassin link in the Mail area.

  2. Click on the Enable Spam Box or Disable Spam Box as required.

    Click to display image Enabling the Spam Box


Disabling Spam Assassin

You can disable Spam Assassin whenever you require. If you are not able to receive a non-spam e-mail it is a good idea to disable Spam Assassin and have the e-mail resent.

To disable Spam Assassin:

  1. Click on the Spam Assassin link in the Mail area.

  2. Click on the Disable Spam Assassin button.


Tracing an e-mail address

CPanel enables you to trace the delivery path of an e-mail address, from server to server, to your web site.

To trace an e-mail address:

  1. Click on the Trace an E-mail Address link in the Mail area.

  2. Enter the e-mail address that you want to trace in the available field.

  3. Click on the Show Route button.

    Click to display image Tracing an e-mail address


Altering your Mail Exchanger (MX Entry) setting

CPanel manages your e-mail through its own mail server. However, by altering your MX (Mail Exchange Record) Entry you can point your e-mail to another mail server, if this is required.

Note: CPanel will not be able to manage your e-mail if you change your MX Entry setting. Do not change your MX Entry unless you know what you are doing.

To alter your MX Entry setting:

  1. Click on the Modify Mail Exchanger (MX Entry) link in the Mail area.

  2. Click on the Change an MX Entry link.

  3. Enter the domain name of the new MX Entry in the available field.

    Note: You can only change the entry to a domain name (e.g. yourdomain.com), not an IP (Internet Protocol) address.

  4. Click on the Change button.

Click to display image Altering your Mail Exchanger (MX Entry) setting


Change Password

Change Password button Your domain password is the password you use to log on to your CPanel. You should change this occasionally to maximize your site security. You should always change your password if you think someone else has access to your account.

To change your domain password:

  1. Click on the Change Password button on the home page.

  2. Enter your current password in the Old Password field.

  3. Enter your new password in the New Password and New Password (again) fields.

  4. Click on the Change your password now! button. Your password has now been changed.

Click to display image Changing your domain password


Parked Domains

Domain Pointers button You can set up a domain name that you own to point to another domain name. This is known as "parking" a domain.

Example: You own the business.co.nz and innovation.co.nz domain names. You already have a web site for business.co.nz, but you do not want to create a new web site for innovation.co.nz at the moment. By parking innovation.co.nz on top of business.co.nz, all URLs for innovation.co.nz will automatically go to business.co.nz instead.

To park a domain:

  1. Click on the Parked Domains button on the home page.

  2. Enter the name of the domain that you want to park in the New Domain Name field.

  3. Click on the Add button.

Click to display image Parking a domain

Topics:

Deleting a parked domain


Deleting a parked domain

You need to delete a parked domain when you no longer own that domain or when you want to set up a separate web site for the parked domain.

To delete a parked domain:

  1. Click on the Parked Domains button on the home page.

  2. Click on the required domain from the Remove Domain Name drop-down list.

  3. Click on the Delete button.


Addon Domains

Addon Domains button An addon domain is a domain name that that points to a subdirectory within your account. For example, you may want innovation.org.nz to point to business.org.nz/innovation/. Addon domains must be registered domain names that you own and configured to point to your web site's servers.

To add a domain to your web site:

  1. Click on the Addon Domains button on the home page.

  2. Enter the domain name in the New Addon Domain field.

  3. Add the directory that the addon domain points to in the Username/directory name field.

  4. Enter the password for the domain in the Password field, if required.

  5. Click on the Add button.

    Click to display image Adding a domain to your web site

Topics:

Deleting an addon domain


Deleting an addon domain

Deleting an addon domain stops redirecting Internet traffic from a domain to a subdirectory.

To delete an addon domain:

  1. Click on the Addon Domains button on the home page.

  2. Choose the required domain from the Remove Addon Domain drop-down list.

  3. Click on the Delete button.


FTP Manager

FTP Manager button The FTP area deals with all the tools relating to setting up and managing FTP accounts, as well as managing FTP sessions. FTP (File Transfer Protocol) is a method by which you can transfer files between computers, usually using the Internet. There is a huge amount of information stored on FTP servers around the world that can only be accessed by using FTP. When using FTP you use an application called a "client" to connect to a machine called a "server".

There are a large number of FTP software packages available. Some of them are built in to your browser (such as Internet Explorer), others are dedicated applications (such as such as CuteFTP or WS_FTP), while still others are built into web applications (File Manager in CPanel is one example). Generally speaking, if you are going to spend a lot of time using FTP or have a large amount of files to upload/download, a dedicated FTP client is the way to go.

CPanel allows you to set up FTP accounts so that certain external users can access a restricted part of your system. You can also set up an anonymous FTP account so that anyone can access a restricted part of your system. You can also manage these FTP sessions, cutting them off if they go on for too long.

Warning: FTP, by its very nature, allows external users to modify your web site (albeit a restricted area of your web site). External users can upload, download, and delete files. Keep this in mind when you set up an FTP account.

Topics:


Adding an FTP account

An FTP account creates a folder on the public_html level of your site that allows external users that know the password to upload and download files from that location. Change your password if you think that your account is being used incorrectly.

Note: Please be aware that all users with the correct password will be able to add, edit, and delete files from the directory that you specify for the FTP account, and any directories within the stated directory.

To add an FTP account:

  1. Click on the Ftp Manager button on the home page.

  2. Click on the FTP Accounts link.

  3. Click on the Add Account link.

  4. Enter the name of the FTP account in the Login field and the password for the account in the Password field.

  5. Enter the path to the directory to which this FTP account has access.

    Warning: If you enter the top-level of the web site by entering a slash (/), all users with the correct password will be able to add, edit, and delete all files on your site. It is advisable to limit an FTP account to a smaller section of your web site.

  6. Click on the Create button.

Click to display image Adding an FTP account

Topics:


Downloading FTP access logs

Downloading an FTP log is useful for monitoring exactly what FTP actions have occurred on your domain.

To download FTP access logs:

  1. Click on the Ftp Manager button on the home page.

  2. Click on the FTP Accounts link.

  3. Click on one of the URLs listed at the bottom of the window, or copy and paste that URL into an FTP client application.

Click to display image Downloading FTP access logs


Changing the password on an FTP account

It is a good idea to regularly change your password. You should always change your password if you think someone else has access to your FTP account.

To change a password on an FTP account:

  1. Click on the Ftp Manager button on the home page.

  2. Click on the FTP Accounts link.

  3. Click on the Change Password button.

  4. Enter the new password in the New Password field.

  5. Click on the Change button.


Deleting an FTP account

Deleting an FTP account is as simple as creating as creating the account. Deleting the account does not delete the folder or its contents, but it does prevent anyone from accessing that folder through FTP.

To delete an FTP account:

  1. Click on the Ftp Manager button on the home page.

  2. Click on the FTP Accounts link.

  3. Click on the Delete button.


Setting Anonymous FTP access

Anonymous FTP access allows anyone to access your public_ftp folder. There are two options available:

  • Allow anonymous access to ftp://ftp.yourdomain.com - This allows to view, download, and delete files from your public_ftp folder.

  • Allow anonymous upload to ftp://ftp.yourdomain.com/incoming - This allows to view, upload, download, and delete files from your public_ftp/incoming folder.

Warning: Anonymous FTP allows anyone access to a restricted area of your site. It is generally safest to not enable Anonymous FTP. If you do enable it, you are responsible for the bandwidth and space used.

To set Anonymous FTP access:

  1. Click on the Ftp Manager button on the home page.

  2. Click on the Anonymous FTP Controls link.

  3. Click on the Allow anonymous access to ftp://ftp.yourdomain.com tick box or the Allow anonymous upload to ftp://ftp.yourdomain.com/incoming tick box. You must click on both tick boxes to enable uploads.

  4. Click on the Save Settings button.

Click to display image Setting Anonymous FTP access

Topics:

Removing Anonymous FTP access


Removing Anonymous FTP access

Removing Anonymous FTP access is as simple as enabling the access. Removing access does not delete your public_ftp folder or its contents (you should not delete this folder anyway), but it does prevent anyone from accessing that folder through FTP.

To remove Anonymous FTP access:

  1. Click on the Ftp Manager button on the home page.

  2. Click on the Anonymous FTP Controls link.

  3. Remove the tick from the Allow anonymous access to ftp://ftp.yourdomain.com tick box or the Allow anonymous upload to ftp://ftp.yourdomain.com/incoming tick boxes.

  4. Click on the Save Settings button.

Click to display image Removing Anonymous FTP access


Adding an Anonymous FTP message

You can add a message that appears in all FTP clients that access your public_ftp folder. This is usually used to add copyright notices or other warnings or comments based on the available files.

To add an Anonymous FTP message:

  1. Click on the Ftp Manager button on the home page.

  2. Click on the Anonymous FTP Message link.

  3. Enter the message that you want visitors to see in the text area. You cannot enter HTML code - plain text only. This is created as a welcome.msg text file.

  4. Click on the Save Message button.

Click to display image Adding an Anonymous FTP message


Controlling FTP sessions

You can view and terminate FTP sessions using the provided FTP session controls. This is useful for general information and stopping unwanted FTP activity.

To control FTP sessions:

  1. Click on the Ftp Manager button on the home page.

  2. Click on the FTP Session Control button.

  3. All active FTP sessions (FTP connections that are actively uploading or downloading files) are listed. Click on the Delete button next to a session to terminate that session.


File Manager

File Manager button The File Manager allows you to manage your site through HTML, rather than an FTP tool or other third-party application. You can upload, create or delete files, organize files in folders, and change file permissions. While not as sophisticated as most FTP tools, File Manager is free and gives you all the basic functionality necessary to manage your site.

Note: All of the other topics in this section assume that you are already in File Manager.

To open and navigate in File Manager:

  1. Click on the File Manager button on the home page.

  2. Navigate by using the following:

    • Open a folder by clicking on the folder icon.

    • Go up a level by clicking on the Up one level link.

    • Use the path links at the top of the window to move up and down the path.

    • Select a folder, so as to view or modify its properties, by clicking on the folder name link.

Topics:

Creating a new folder
Uploading files in File Manager
Creating a new file
Editing a file
Editing a file using an HTML Editor (IE6 only)
Renaming a file or folder
Changing file/folder permissions
Deleting a file or folder
Restoring an item from the Trash
Emptying the Trash


Creating a new folder

Folders are a very useful way of adding organization and structure to your web site. They make maintenance of the site much easier, as you can easily see what files are in which folder. Most web sites include at least an /image folder to keep all the image files separate from the HTML files.

To create a new folder:

  1. Navigate to the area in which you will create the new folder.

  2. Click on the Create New Folder link.

  3. Enter the name of the new folder in the available field in the top-left corner of the window.

  4. Click on the Create button. The new folder will appear in the main display area.

Click to display image Creating a new folder


Uploading files in File Manager

You can use File Manager to upload files to your web site, up to 12 files in one go. Although useful, a third-party FTP client has many more features and does not limit you to the number of files you can upload at one time. Refer to the FTP Manager section for more information.

To upload files in File Manager:

  1. Navigate to the folder where you want to upload your files.

  2. Click on the Upload file(s) link.

  3. Click on the Browse... button next to one of the top fields.

  4. Search for and double-click on the first file to upload.

  5. Repeat the above steps for each file you want to upload.

  6. Click on the Overwrite existing files tick box if you want to overwrite existing files of the same name.

  7. Click on the Upload button when you have finished selecting files. The status of the upload will appear in the top-right corner of your window. The contents of the folder is displayed in the main area, including your uploaded files.

Click to display image Uploading files in File Manager


Creating a new file

For small text files it can be easier to create them online, rather than on your home computer and uploading the file. You can create text files, such as HTML, PHP, or plain TXT, but not binary files.

To create a new file:

  1. Navigate to the folder where you want to create your text file.

  2. Click on the Create New File link.

  3. Enter the name of the file to be created in the available field in the top-right corner of your window. You do need to add the file extension to the name, for example script.pl for a Perl script, not just script.

  4. Select the type of document from the drop-down list. Each type of file adds specific information to the text file:

    • Text Document - No text is added to the file.

    • HTML Document - No text is added to the file.

    • Perl Script - Automatically adds the path to Perl to the top of the file. Make sure to double-check that the path is correct.

    • Shell Script - Automatically adds the path to the Shell executable to the top of the file. Make sure to double-check that the path is correct.

  5. Click on the Create button. The file has now been created and the display updated to show the new file. Refer to Editing a file to add text to these new files.

Click to display image Creating a new file


Editing a file

Editing a pre-existing file through File Manager allows you to make immediate changes to your web site, without having to upload a new version of the file. This is useful for small changes, but would be inefficient for large alterations.

To edit a file:

  1. Navigate to the folder where the file is located.

  2. Click on the name of the file.

  3. Click on the Edit File link in the top-right corner of your window. This will open a new window with the contents of the file displayed.

    Note: Clicking on the Show File link will display the contents of the file. However, you will not be able to make any changes to the file.

  4. Alter the text of the file as you wish.

  5. Click on the Save button when you have finished altering the file. The file has been saved and any changes will take effect from now on.

Click to display image Editing a file


Editing a file using an HTML Editor (IE6 only)

If you are using Internet Explorer 6 as your web browser you can edit online HTML pages directly through the File Manager.

To edit a file using the HTML Editor:

  1. Navigate to the folder where the file is located.

  2. Click on the name of the file.

  3. Click on the WYSIWYG Html Editor (IE 6 only) link in the top-right corner of your window. This will open a new window with the contents of the file displayed.

  4. Edit the file in the same manner as using a word processor.

    Click to display image Editing a file using the HTML Editor

  5. Click on the Save button when you have finished editing the file.


Renaming a file or folder

You can quickly rename a file or folder if you originally labelled a file or folder with the wrong name, or if the name needs to be updated. This is useful if a small number of files need to be changed, since you do not need to upload any files for the changes to take effect, but inefficient if you needed to rename your entire site.

To rename a file or folder:

  1. Navigate to the file or folder.

  2. Click on the Rename File link in the top-right corner of your window.

  3. Enter the new name for the file or folder in the text field. You need to enter an extension if it is a file, such as .html for HTML files.

  4. Click on the Rename button. The file name has now been changed and the display updated to show the modified file.

Click to display image Renaming a file or folder


Changing file/folder permissions

All files on UNIX (including Linux and other UNIX variants) machines have access permissions. These tell the operating system how to deal with requests to access these files. There are three types of access:

  • Read - Denoted as r, files with read access can be displayed to the user.

  • Write - Denoted as w, files with write access can be modified by the user.

  • Execute - Denoted as x, files with execute access can be executed as programs by the user.

Access types are set for three types of user group:

  • User - The owner of the file.

  • Group - Other files which are in the same folder or group.

  • World - Everyone else.

The web server needs to be able to read your web pages in order to be able to display them in a browser. The following permissions need to be set in order for your web site to function properly.

  • All HTML files and images need to be readable by others. The setting for this is 644 (readable by User, Group, and World, and writable by User), and is set automatically when you upload files.

  • All folders need to be executable by others. The setting for this is 755 (readable by User, Group, and World, writable by User, executable by User, Group, and World), and is set automatically when you create a folder.

  • All CGI files (all files in the cgi-bin folder) need to be executable by other. The setting for this is 755 (readable by User, Group, and World, writable by User, executable by User, Group, and World), and is not set automatically when you upload files. You need to change file permissions manually. Refer to the Introduction to CGI topic for more information.

Warning: It is important that none of your files or folders are writable by anyone else. Any file or folder which is writable by others can be erased by them. Generally there is no problem, just be careful how you set your permissions.

To change file or folder permissions:

  1. Navigate to the file or folder that you need to change.

  2. Click on the name of the file or folder.

  3. Click on the Change Permissions link in the top-right corner of the window.

  4. Click on as many tick boxes as you require to create the right permission. The permission numbers underneath the tick boxes will update automatically.

  5. Click on the Change button when you have finished setting the permission. The new permission level has now been saved and the display updated to show the modified file.

Click to display image Changing file or folder permissions


Deleting a file or folder

CPanel includes a Trash folder, which operates the same way as the Windows Recycle Bin. All deleted files are automatically placed in the Trash folder and can be restored to their original positions by a simple click. However, once you empty the Trash folder, the files are permanently deleted. Refer to Emptying the Trash for more information.

To delete a file or folder:

  1. Navigate to the file(s) or folder(s) that you want to delete.

  2. Click on the name of the file or folder to display the item's properties in the top-right corner of your window.

  3. Click on the Delete File link. The deleted file or folder is now displayed in the Trash area. Refer to Restoring an item from the Trash if you deleted the wrong file or folder by accident.

Click to display image Deleting a file


Restoring an item from the Trash

You can easily restore a deleted file from the Trash by moving it from the Trash to another folder. Restored folders are automatically moved back to their original location. However, you will not be able to restore the item if you have emptied the Trash since deleting it - it has been permanently destroyed.

To restore an item from the Trash:

  1. Click on the icon of the item that you want to restore in the Trash area on the bottom-right of the window. The folder or file will be automatically returned to its original location.


Emptying the Trash

Warning: Make sure you do not need any of the files or folders in the Trash before you empty it, because the files are deleted permanently once the Trash is emptied.

To empty the Trash:

  1. Click on the Trash button in the Trash area. All of the files in the Trash have now been permanently deleted.

Click to display image Emptying the Trash


Disk Usage

Disk Usage button The Disk Usage Viewer enables you to see exactly how much disk space is being taken up by various parts of your web site. Several different viewing options are available:

  • Show Parent Directories - Displays the parent directories as individual items.

  • Show More Directory Depth - Displays directories one level deeper as individual items.

  • Show Less Directory Depth - Displays directories one level higher as individual items.

  • Show Top Level - Displays the top level of the web site.

  • Clear File Usage Cache - Deletes all file usage information from the cache and recalculates all disk usage information.

  • Show Small Files - Displays very small files.

  • Show File Size as bytes/Megabytes - Displays file sizes as bytes or megabytes. There are 1024 bytes to one megabyte.

Most of the above viewing options have a reverse option. For example, if Show Small Files is chosen, Hide Small Files is now displayed.

To use the Disk Usage Viewer:

  1. Click on the Disk Usage button on the home page.

  2. A list of items that take up space on your web site is now displayed, from largest to smallest. Click on the required buttons to view the use of space on your web site.

    Click to display image Using the Disk Usage Viewer


Backup

Backup button The Backup area allows you to download the daily, weekly, or monthly backup file of your entire web site, or a particular MySQL, alias, or filter backup file. If your computer crashes, or your personal backups are destroyed, these files allow you to recover your site in a convenient manner (you could also use FTP to download each file, but it would take much longer as the files are not compressed).

How often a backup is created is decided by your web host. Contact your hosting administrator for more details.

Important: You should keep your own backup copy of your web site as well. Do not rely solely on the backup provided by your web host. Having multiple backups in different locations provides security against permanently losing information.

Note: A complete web site backup file includes everything - from web pages to images to scripts to access logs. A large site will have a large backup file, and will take some time to download.

To download a backup file:

  1. Click on the Backup button on the home page.

  2. Click on the Daily, Weekly, or Monthly backup file to download the entire system backup for the indicated time, or click on the link underneath the required area to download an SQL, Alias, or Filter backup file. Refer to Generating a backup if you need to generate a backup first before downloading it.

    Note: To download any previous stored backups, click on the Generate/Download a Full Backup link, and click on any backup that is listed.

    Click to display image Downloading a backup file

  3. Save the file to disk.

    Note for Windows users: This file is in .tar.gz format (a GZIP archive file that contains a TAR archive file). This is a common archive format used on Unix machines, in the same way that .zip is a common Windows archive format. Most compression utilities should be able to uncompress a .tar.gz file.

Topics:


Generating a backup

You can generate a backup at any time. This is useful if you have just made some changes to the site and you do not want to have to wait for the routine backup (usually daily or weekly) before downloading the backup.

To generate a backup:

  1. Click on the Backup button on the home page.

  2. Click on the Generate/Download a Full Backup link.

  3. Click on the location for the backup from the Backup Destination drop-down list. The following locations are available:

    • Home Directory - Saves the backup in the public_html level of your site.

    • Remote Ftp Server - Saves the backup on a specified remote FTP server.

    • Remote Ftp Server (passive mode transfer) - Saves the backup on a specified remote FTP server that will only accept passive (PASV) mode FTP transfer. Please refer to your hosting administrator or the remote FTP server if you have questions about passive mode transfer.

  4. Enter your e-mail address in the Email Address field. An e-mail will be sent to this address when the backup has completed.

  5. Enter the FTP address, user name, and password in the Remote Server, Remote User, and Remote Password fields if you are saving the backup file at a remote location.

  6. Click on the Generate Backup button. An e-mail will be sent to the specified address when the backup has finished and can be downloaded.

Click to display image Generating a backup


Restoring your web site from a backup

In the unlikely event that your web site or other files are deleted from your web host's servers, you can restore the web site using your most recent backup file.

To restore your web site from a backup file:

  1. Click on the Backup button on the home page.

  2. Click on the Browse... button next to the relevant area that you want to restore.

  3. Search for and double-click on the relevant backup file (in .gz format).

  4. Click on the Upload button.

    Note: You may need to wait for a few minutes to upload and restore a large web site file.

Click to display image Restoring your web site from a backup file


Password protect directories

Password Protect Directories button You can protect directories within your site from browsers by using a password to protect them. This allows you to restrict material to only authorized users or store sensitive material online. This has the same appearance and effect as the password protection on CPanel.

To password protect a directory:

  1. Click on the Password protect directories button on the home page.

  2. Navigate to the directory that you want to protect. Select a folder by clicking on the folder name link, or open a folder by clicking on the folder icon.

  3. Click on the tick box next to the Lock icon icon.

  4. Enter the name that you want to appear in the Protected Resource Name field. This is optional and purely for the user's benefit.

  5. Click on the Save button. Generally, you now need to add at least one authorized user to enable access to the directory. Refer to Adding an authorized user for more information.

Click to display image Protecting a directory with a password

Topics:


Adding an authorized user

You can control who can access protected directories by adding authorized users. Generally, at least one authorized user needs to be added, otherwise no-one will not be able to view the directory.

To add or modify an authorized user:

  1. Click on the Password protect directories button on the home page.

  2. Navigate to the required directory. Select a folder by clicking on the folder name link. Open a folder by clicking on the folder icon.

  3. Enter the user's name in the Username field, and their password in the Password field.

  4. Click on the Add New User button.

Click to display image Adding an authorized user


Changing an authorized user's password

You need to change authorized user's password if they have forgotten their password or they think someone has access to their account. It is a good idea to regularly change passwords.

To change an authorized user's password:

  1. Click on the Password protect directories button on the home page.

  2. Navigate to the required directory. Select a folder by clicking on the folder name link. Open a folder by clicking on the folder icon.

  3. Enter the user's name in the Username field, and their new password in the Password field.

  4. Click on the Change Password button.

Click to display image Changing an authorized user's password


Removing an authorized user

Remove authorized users when they no longer should have access to a particular directory. This maintenance task is often forgotten and leaves a hole in your security, so remember to perform this procedure as soon as it is required.

To remove an authorized user:

  1. Click on the Password protect directories button on the home page.

  2. Navigate to the required directory. Select a folder by clicking on the folder name link. Open a folder by clicking on the folder icon.

  3. Select the required user in the Active Users list.

  4. Click on the Delete User button.

Click to display image Removing an authorized user


Removing password protection

Remove password protection on a directory when you no longer want other users to have access to that directory. You do not need to remove user authorization for the directory when removing password protection, as all the users will be automatically deleted when you remove the protection.

To remove password protection from a directory:

  1. Click on the Password protect directories button on the home page.

  2. Navigate to the protected directory. Select a folder by clicking on the folder name link. Open a folder by clicking on the folder icon.

  3. Untick the tick box next to the Lock icon icon.

  4. Click on the Save button.

Click to display image Removing password protection


Error pages

Error Pages button Error pages are displayed to Internet users when any one of a variety of errors occur, such as when a user enters an incorrect URL or is not authorized to access a specific directory in your web site. Companies often customize error pages to brand them with a specific corporate image and a link to their home page. You do not have to customize these pages - the error page is always available, whether customized or not.

Note: Custom error pages that are smaller than 10k in size will not display properly in Internet Explorer. Insert a large amount of text into a comment to create the required size.

To create or modify a customized error page:

  1. Click on the Error pages button on the home page.

  2. Click on the button of the required error page, such as the 403 button.

  3. Enter the HTML code for the error page. You can use the buttons at the top of the page to insert variables into the displayed code.

    Example:

    <h1>404 Not Found</h1>
<p>The requested page, <!--#echo var="REQUEST_URL" --> ,is not available.</p>

  4. Click on the Save button.

Click to display image Creating a customized error page


Subdomains

Subdomains button Subdomains are a way of creating separate accounts within your master account, which are accessed as separate URLs. For example, you could set up a "timber" subdomain on your master account "hardware.org.mart", which would be accessed as "timber.hardware.org.mart". A lot of larger businesses use subdomains to establish branding and focus on separate product lines, because a subdomain creates a separate URL and web presence. However, you do not create a new CPanel when you create a subdomain. You still perform most administration functions for the subdomain through your master CPanel.

Practically, a subdomain is a sub folder within the public_http level of your account that has it's own cgi-bin directory. The "timber" example above creates a new top-level folder called timber, with a cgi-bin sub-folder. Upload your files for the subdomain to this location, including a separate home file (such as index.htm).

Currently you cannot create e-mail accounts with the subdomain extension. A workaround for this is to create an account called "sales-timber@hardware.org.mart", or similar.

To add a subdomain:

  1. Click on the Subdomains button on the home page.

    Note: You can only successfully create a new subdomain once your DNS number has successfully propagated for this account.

  2. Enter the text for the new subdomain in the field in the available field. You must conform to domain name conventions for the addition to the name.

  3. Click on the Add button. A folder with the same name as the subdomain has now been added to your public_html folder, with a cgi-bin sub-folder (if CGI scripts are enabled on your account).

Click to display image Adding a subdomain

Topics:


Adding subdomain redirection

You can redirect Internet traffic from a particular subdomain to another location. This is usually used when the web pages that made up the subdomain have been moved to another location.

To add subdomain redirection:

  1. Click on the Subdomains button on the home page.

  2. Click on the required subdomain from the first drop-down list.

  3. Click on the Setup Redirection button.

  4. Enter the redirection address in the available field. Make sure that you end the address with a trailing slash (e.g. http://yourdomain.com/).

  5. Click on the Save button.

Click to display image Adding subdomain redirection

Topics:

Removing subdomain redirection


Removing subdomain redirection

Remove subdomain redirection when you no longer want Internet traffic to be diverted from the subdomain to another location.

To remove subdomain redirection:

  1. Click on the Subdomains button on the home page.

  2. Click on the Remove Redirection button next to the required subdomain.


Deleting a subdomain

Delete a subdomain when you no longer need a separate web presence for that particular part of your web site. Deleting a subdomain does not delete the subdomain folder - you will need to do this manually.

To delete a subdomain:

  1. Click on the Subdomains button on the home page.

  2. Select the required subdomain from the last drop-down list.

  3. Click on the Delete button.


MySQL

MySQL button SQL stands for Structured Query Language. SQL is an international standard in querying and retrieving information from databases. MySQL is essentially an SQL server - it responds to requests for information that are written in SQL. You can communicate with MySQL using a wide variety of programming languages (PHP being one of the most common). MySQL is Open Source software and free for use.

Refer to the following link for more information about MySQL :

  • MySQL - The MySQL homepage.

  • MySQL and PHP tutorial - A good introduction to using the two Open Source technologies together.

To create a MySQL database:

  1. Click on the MySQL databases button on the home page.

  2. Enter the name of the database in the Db field.

  3. Click on the Add Db button. The database will be added to the /var/lib/mysql folder.

    You need to create at least one database user and grant that user permission to use the new database. Refer to Creating a MySQL user and Grant a user's permissions to a MySQL database for more information.

Click to display image Creating a MySQL database

Topics:


Removing a database

Removing a database will delete that database from its online location. Be sure that you have saved a copy of the database if you want to keep any of the information in the database. Removing a database will not remove any user's but it will remove all user's permissions to that database.

To remove a database:

  1. Click on the MySQL databases button on the home page.

  2. Click on the Delete button next to the specific database.


Creating a MySQL user

You need to create a MySQL user before that user is able to use the database. This does not automatically allow the user to use a database - you need to grant that user permission to the specific database first. Refer to Grant a user's permissions to a MySQL database for more information.

To create a MySQL user:

  1. Click on the MySQL databases button on the home page.

  2. Enter the user's name in the UserName field and the user's password in the Password field.

  3. Click on the Add User button.

Click to display image Creating a MySQL user

Topics:

Removing a user


Removing a user

Removing a user deletes that user - it removes all database permissions that the user has and does not allow that user access to any MySQL databases.

To remove a user:

  1. Click on the MySQL databases button on the home page.

  2. Click on the Delete button next to the specific user in the Users area.


Grant a user's permissions to a MySQL database

Once you have created a user to use a database you need to grant that user permission to use the database. If you have not yet created a user, refer to Creating a MySQL user for more information.

To grant user permissions to a MySQL database:

  1. Click on the MySQL databases button on the home page.

  2. Choose the specific user from the User drop-down list and the specific database to grant permissions to from the Db drop-down list.

  3. Click on the Add User to Db button. The user now has permission to use that database and sample connection strings are shown in the MySQL window.

Click to display image Granting a user's permissions to a MySQL database

Topics:

Removing a user's permissions


Removing a user's permissions

A user will no longer be able to access a particular database when you have removed their permissions to that database.

To remove a user's permissions:

  1. Click on the MySQL databases button on the home page.

  2. Click on the Delete button next to the specific user underneath the name of the database in the Databases area.

Click to display image Removing a user's permissions


Managing MySQL databases

CPanel includes a web-based MySQL management tool called phpMyAdmin. This tool allows you to manage all aspects of your database structure and data. Refer to the phpMyAdmin documentation link, which is http://yourURL/3rdparty/phpMyAdmin/Documentation.html, if you need to know more about using phpMyAdmin.

To manage MySQL databases using phpMyAdmin:

  1. Click on the MySQL databases button on the home page.

  2. Click on the phpMyAdmin link at the base of the window. Refer to the phpMyAdmin documentation link, which is http://yourURL/3rdparty/phpMyAdmin/Documentation.html, if you need to know more about using phpMyAdmin.


Adding host access

You can allow external web servers to access your MySQL databases by adding their domain name to the list of hosts that are able to access databases on your web site. localhost stands for your own web server.

To add host access:

  1. Click on the MySQL databases button on the home page.

  2. Enter the domain name or IP number of the host that you wish to add in the Host field.

  3. Click on the Add Host button.

Click to display image Adding host access

Topics:

Removing host access


Removing host access

Remove host access for a particular server when you no longer want that server to access your MySQL databases.

To remove host access:

  1. Click on the MySQL databases button on the home page.

  2. Click on the Delete button next to the web server that you want to remove.


PostgreSQL

SQL stands for Structured Query Language. SQL is an international standard in querying and retrieving information from databases. PostgreSQL is, like MySQL, essentially an SQL server and database - it responds to requests for information that are written in SQL. You can communicate with PostgreSQL using a wide variety of programming languages, including PHP, Perl, and Python. PostgreSQL is Open Source software and generally free for commercial or personal use.

The following links provide good introductory information about PostgreSQL :

  • PostgreSQL documentation - a good source of reference material.

  • PostgreSQL FAQ

To add a PostgreSQL database:

  1. Click on the PostgreSQL databases button on the home page.

  2. Enter the name of the database in the Db field.

  3. Click on the Add Db button. The database will be added to the /var/lib/mysql folder.

    You need to create at least one database user and grant that user permission to use the new database. Refer to Creating a PostgreSQL user and Grant a user's permissions to a PostgreSQL database for more information.

Click to display image Creating a PostgreSQL database

Topics:


Removing a database

Removing a database will delete that database from its online location. Be sure that you have saved a copy of the database if you want to keep any of the information in the database. Removing a database will not remove any user's but it will remove all user's permissions to that database.

To remove a database:

  1. Click on the PostgreSQL databases button on the home page.

  2. Click on the Delete button next to the specific database.


Creating a PostgreSQL user

You need to create a PostgreSQL user before that user is able to use the database. This does not automatically allow the user to use a database - you need to grant that user permission to the specific database first. Refer to Grant a user's permissions to a PostgreSQL database for more information.

To create a PostgreSQL user:

  1. Click on the PostgreSQL databases button on the home page.

  2. Enter the user's name in the UserName field and the user's password in the Password field.

  3. Click on the Add User button.

Click to display image Creating a PostgreSQL user

Topics:

Removing a user


Removing a user

Removing a user deletes that user - it removes all database permissions that the user has and does not allow that user access to any PostgreSQL databases.

To remove a user:

  1. Click on the PostgreSQL databases button on the home page.

  2. Click on the Delete button next to the specific user in the Users area.


Grant a user's permissions to a PostgreSQL database

Once you have created a user to use a database you need to grant that user permission to use the database. If you have not yet created a user, refer to Creating a PostgreSQL user for more information.

To grant user permissions to a PostgreSQL database:

  1. Click on the PostgreSQL databases button on the home page.

  2. Choose the specific user from the User drop-down list and the specific database to grant permissions to from the Db drop-down list.

  3. Click on the Add User to Db button. The user now has permission to use that database and sample connection strings are shown in the PostgreSQL window.

Click to display image Granting a user's permissions to a PostgreSQL database

Topics:

Removing a user's permissions


Removing a user's permissions

A user will no longer be able to access a particular database when you have removed their permissions to that database.

To remove a user's permissions:

  1. Click on the PostgreSQL databases button on the home page.

  2. Click on the Delete button next to the specific user underneath the name of the database in the Databases area.

Click to display image Removing a user's permissions


Managing PostgreSQL databases

CPanel includes a web-based PostgreSQL management tool called phpPgAdmin. This tool allows you to manage all aspects of your database structure and data. Refer to the phpPgAdmin homepage if you need to know more about using phpPgAdmin.

To manage PostgreSQL databases using phpPgAdmin:

  1. Click on the PostgreSQL databases button on the home page.

  2. Click on the phpPgAdmin link at the base of the window. Refer to the phpPgAdmin homepage if you need to know more about using phpPgAdmin.


SSL Shell/Telnet access

SSL Shell/Telnet Access button SSL stands for Secure Sockets Layer, which is a means of providing encrypted communications on the Internet. CPanel provides you with an online SSL Shell (an application) that allows you to log in to the Linux computer that is your web server and make changes at the server side. You use Telnet (the Internet standard protocol for remote login) commands through the SSL Shell to activate the web server.

Note: If you do not know exactly what you are doing, you can potentially cause problems on your web server. Please contact your hosting administrator if you are not sure how to use SSL.

Some useful links:

  • Introduction to Linux commands - an easy introduction to using a Linux computer.

  • Directory of Linux Commands - good reference site of Linux commands.

  • MindTerm - an OpenSource Java SSL Shell used in CPanel.

  • PuTTy - an excellent Telnet/SSL utility: small; fast; and free (for Windows).

To use the SSL Shell:

  1. Click on the SSL Shell/Telnet shell access button on the home page.

    Note: You need to have Java Applets enabled on your browser for the SSL Shell to start.

  2. You are now in the SSL Shell window. Press the Enter key to logon. Please refer to the links at the beginning of this topic if you need more information about logging on and what you can do through the SSL Shell.

Click to display image MindTerm SSL Shell window


Redirects

Redirects button The Redirects area allows you to redirect Internet traffics from one web page to another. This is usually used when a web page has been moved to another location.

To set up a redirect:

  1. Click on the Redirects button on the home page.

  2. Enter the address of the web page to move in the first field.

  3. Enter the redirection address in the second field.

  4. Choose one of the following options in the drop-down list:

    • Temporary - This tells Internet traffic agents (browsers, search engines, etc.) that this is only a temporary redirection, and that they should return to this initial location again in the future for the same page.

    • Permanent - This tells the Internet traffic agents to go to the redirection address in the future, as the old address will never be used again.

  5. Click on the Add button.

Click to display image Redirecting a web page

Topics:

Removing a redirect


Removing a redirect

Remove a redirect when you no longer want to redirect Internet traffic from a web page. There is no way to modify a redirect - if you need to change the details of an existing redirect, you need to delete the existing one and start again.

To remove a redirect:

  1. Click on the Redirects button on the home page.

  2. Click on the required redirect in the Remove Redirect drop-down list.

  3. Click on the Remove button.


Frontpage Extensions

Frontpage Extensions button Frontpage Extensions allow you to publish your web site using Microsoft Frontpage. These extensions can occasionally become corrupted, so you can uninstall and then reinstall Frontpage Extensions whenever required.

To (re)install Frontpage Extensions:

  1. Click on the Setup Frontpage Extensions button on the home page.

  2. Click on the Install / Reinstall Extensions button.

Click to display image Reinstalling Frontpage Extensions

Topics:

Uninstalling Frontpage Extensions


Uninstalling Frontpage Extensions

If you are having problems publishing your site using Frontpage, the first test is to uninstall and then reinstall your Frontpage Extensions. If you are still having trouble with Frontpage after that, contact your hosting administrator for help.

Note: The password protection on any protected directories will be removed. Refer to Password protect directories for more information about reapplying password protection.

To uninstall Frontpage Extensions:

  1. Click on the Setup Frontpage Extensions button on the home page.

  2. Click on the Uninstall Extensions button.

Click to display image Uninstalling Frontpage Extensions


Web/FTP Stats

Web/FTP Stats icon The Web / FTP Statistics area presents you with a wide variety of information about your web site, from the latest visitors to a detailed monthly summary of hits, as well as providing an error log. Use the Statistics tools to keep track of what pages are being visited most often, and where they are being referred from.

For more information about exactly what these web site statistics mean, refer to the following excellent articles:

  • Measuring Web Site Usage

  • How the web works

Topics:


Analog

The Analog reporting tool presents a comprehensive coverage of web server statistics available for your web site using CPanel. Refer to the following links for more information about the Analog tool:

  • Analog documentation - All available Analog documentation.

  • Analog reports - A detailed description of all available Analog reports.

To use the Analog tool:

  1. Click on the Analog link in the Web/FTP Stats area.

  2. Click on the month that you are interested in.

  3. You are now presented with the Web Server Statistics page for your web site. You can browse the report online, or print it for more detailed perusal offline. Take your time - there is a lot of information available.


Awstats

The Awstats reporting tool combines a comprehensive coverage of web server statistics available for your web site with very attractive reporting pages. Refer to the Awstats home page for more information about Awstats.

To use Awstats:

  1. Click on the Awstats link in the Web/FTP Stats area.

  2. Browse the results.

    Click to display image


Webalizer

The Webalizer tool creates a graphical summary display of usage of your site. This is useful to give you a quick and clear overview of your web site activity. Refer to the Webalizer home page for more information about Awstats.

To use Webalizer:

  1. Click on the Webalizer link in the Web/FTP Stats area.

  2. Browse the results.

Click to display image


Latest visitors

This quick tool lists the last 300 visitors that have visited your site in the last 24 hours. Note that visitors are defined as requests from servers, not individual people.

To view the most recent visitors:

  1. Click on the Latest Visitors link in the Web/FTP Stats area.

  2. Browse the results. You can click on the Referrer link to open the referring site page, or click on the URL link to open the file that was requested.

    Click to display image Viewing the most recent visitors


Bandwidth

The Bandwidth tool generates an overall summary of the amount of bandwidth that your site is using. This is generated from HTTP traffic (looking at your web site, downloading files, etc.) and possibly FTP traffic. However, this does not include any other type of traffic, the most notable of which is POP3 - e-mail. Depending on what files you send and receive through e-mail, this amount could be considerable. Contact your hosting administrator if you want to check how much bandwidth you are using.

To check how much bandwidth is being used:

  1. Click on the Bandwidth link in the Web/FTP Stats area.

  2. Browse the results.

    Click to display image Checking how much bandwidth is being used


Error Log

The error log contains all HTTP errors that occur when visitors attempt to view your site, such as requested files not found, etc. The Error Log tool is a presentation of the last 300 entries in your error log. A central use of this tool is to locate suspicious server activity, such as attempted virus attacks. Please contact your hosting administrator if you have concerns about activity in your error logs.

To check your error log:

  1. Click on the Error Log link in the Web/FTP Stats area.

  2. Browse the results.

    Click to display image Viewing the Error Log


Raw Access Logs

Raw Access Logs button You can download the raw access logs that contain all the recorded hit information that your site has received. These logs are only really useful if you have a preferred reporting tool that you prefer to use, rather than the variety of reporting tools presented in this section.

To download the raw access logs:

  1. Click on the Raw Access Logs button on the home page.

  2. Save the file to disk.

    Note: The access logs are in .gz (GZIP compression) format.


Raw Log Manager

Raw Log Manager button Raw access logs contain all the recorded hit information that your site has received. You can set the Raw Log Manager to archive this information every month and/or delete the previous month's log at the end of every month. The following options are available:

  • Archive Logs in your home directory at the end of each month - Save the raw access logs in a compressed file in your home directory at the end of every month.

  • Remove the previous month's archived logs from your home directory at the end of each month - Delete last month's archived file at the end of each month.

To set the Raw Log Manager:

  1. Click on the Raw Log Manager button on the home page.

  2. Click on the required tick boxes to set the Raw Log Manager.

  3. Click on the Save button.

    Click to display image Setting the Raw Log Manager

Topics:

Downloading archived log files


Downloading archived log files

If you have activated the Raw Log Manager, you can download the compressed log files currently available on your web site.

To download an archived log file:

  1. Click on the Raw Log Manager button on the home page.

  2. Click on the required log file and save it to your machine.


Subdomain Stats

Subdomain Stats button You can view statistics specifically for each subdomain using the Analog and Webalizer tools. Refer to Analog and Webalizer for more information on how to use these tools.

To view subdomain statistics:

  1. Click on the Subdomain Stats button on the home page.

  2. View the statistics as required. Refer to Analog and Webalizer for more information on how to use the Webalizer and Analog statistics tools.


Search Engine Submit

Search Engine Submit button CPanel allows you to submit your web site details to several search engines at one time. Some pointers on this process:

  • This is not a guaranteed way of becoming registered by these search engines, as some may charge a registering fee. It is always best to check each search engine site individually to see what their registration policy currently is.

  • It may take several weeks (4-8 weeks is common) before your web site will appear on a search engine.

  • Do not submit your site multiple times to the same search engine within a short period of time, as the search engine may ban you from its list.

To submit your site to one or more search engines:

  1. Click on the Search Engine Submit button on the home page.

  2. Click on the tick boxes next to the search engines that you want to submit to.

  3. Enter the address of your site in the URL field and your contact e-mail address in the Email field.

  4. Enter a short description of your site in the Comments field.

  5. Enter the keywords of your site in the Keywords field. These are the handful (3-6) of words that are predominantly used by search engines to index your site. Separate each key word by a comma.

  6. Choose the language of the site in the Language drop-down list and the country in which the site is located in the Country drop-down list.

  7. Choose the category that your web site best fits into from the Category drop-down list.

  8. Click on the Submit button.

Click to display image Submitting your site to search engines


Chatroom

Chatroom button Entropy Chat is a simple chat script that offers basic features.

To install Entropy Chat:

  1. Click on the on the Chatroom button on the home page.

  2. Copy and paste the displayed HTML code into your web page. Feel free to alter the appearance of the form as required.

  3. Upload your page and test the script.

Click to display image Installing Entropy Chat


PhpMyChat

PhpMyChat button PhpMyChat is a PHP chat room script that uses a MySQL database to store information. Refer to the PhpMyChat home page for more information about this script.

To install PhpMyChat:

  1. Click on the on the PhpMyChat button on the home page.

  2. Enter the directory in which to install PhpMyChat in the available field. This must be a top-level directory on your site.

  3. Enter the administrator's user name and password in the Admin Username and Admin Password fields.

  4. Click on the Install button.

  5. Click on the entry page link to go to the new chat room.


Bulletin Board

Bulletin Board button CPanel allows you to install a pre-made forum called phpBB. The phpBB is a PHP web-based bulletin board. Unlike an e-mail list or newsgroup, the phpBB creates a forum on your web site that allows users to post questions and receive replies, all from their web browser. This allows you to choose from a variety of graphical interfaces and smilies - little faces that communicate the mood of the writer Smile. Once a forum has been created you can modify it extensively, from adding new sub-forums to changing the visual appearance of the board. Be sure to visit the phpBB web site - http://www.phpbb.com/ - for more information on how to customize and use your phpBB

Note: Keep in mind that each separate installation of phpBB takes up several megabytes, and will grow in size with the popularity of the forum.

To install a phpBB forum:

  1. Click on the Bulletin Board button on the home page.

  2. Enter the name of the forum folder in the available field. Note that the folder must be on the top level of your site.

  3. Click on the Install button.

    Click to display image Installing a phpBB forum


CGI Center

CGI Center button This CGI Center area allows you to use some pre-installed CGI scripts through CPanel. This section contains information about using these scripts, as well as using CGI scripts in general.

Topics:

Introduction to CGI
Simple CGI Wrappper
Random HTML
Guestbook
Advanced Guestbook
Counter Maker
Clock
Java CountDown/CountUp Maker
CGI EMail
FormMail Clone
Entropy Search
Entropy Banner


Introduction to CGI

CGI (Common Gateway Interface) is a standard for running external programs from a Web server. CGI allows the returned HTML page to be dynamic - for example, with a CGI script you could access information in a database and format the results as part of an HTML page. Not surprisingly, CGI scripts are very popular and used extensively throughout the World Wide Web.

There are a number of very good introduction to CGI documents available on the Web. The information given below is a summary of the most important points to remember when using CGI. Please refer to the following for a more in-depth introduction:

  • An instantaneous introduction to CGI scripts and HTML forms - a detailed introduction.

  • Ada's Introduction to CGI - a useful introduction.

Key points to bear in mind when using CGI scripts:

  • The pre installed scripts available through CPanel are the easiest to use, but if a certain script does not do exactly what you want, feel free to look for better scripts on the Web. You can usually find a script to do almost anything, especially if you are prepared to pay.

  • Read all available documentation on a particular script before using it. This will help avoid most problems.

  • CHMOD ("Change Mode") means change the permissions on a particular file (usually the script itself). The CPanel File Manager allows you to quickly do this, as do most FTP tools.

  • Important - after uploading cgi-bin scripts, CHMOD to 755 (unless the script documentation specifically states otherwise). For example, you need to CHMOD the pre-installed CPanel CGI EMail scripts to 755 to use them properly.

  • Many scripts need to know the path to Perl (scripting language engine) and to sendmail (HTTP mail engine). You can find this information on the front page of CPanel.

  • Make sure you test your scripts repeatedly! Testing is vital to make sure everything is working to your satisfaction.


Simple CGI Wrappper

The CGI Wrap script creates a scgi-bin folder at the public_html level of your web site. This allows you to run scripts with your own user ID.

The advantage of this is that you can run scripts that have the same permissions that you do - you can write, edit, and delete files as you normally do. In a regular cgi-bin folder, you can only do this if you set your directory permissions to 777 (world access) and file permissions to 666, both of which are quite dangerous as anyone can now modify your web site.

The disadvantage of this is that if there is a security breach in your script that another person can exploit, they have access to your site in the same manner that you do - they can do anything. However, as long as the scripts you run in the scgi-bin directory are secure, you have nothing to worry about.

Be sure to read the CGI Wrap user guide for more detailed information on using CGI Wrap.

For a more detailed description of the distinction between normal and wrapped cgi, refer to this article.

To install the Simple CGI Wrapper:

  1. Click on the Simple CGI Wrapper link in the CGI Center area.

    Your scgi-bin folder has now been set up. All cgi scripts that you would like to run under your own user ID should be placed in this folder.


Random HTML

This simple script allows you to insert random pieces of text into your web page. This is useful for daily quotes, helpful hints, or any other place where random text is useful.

To install the Random HTML script:

  1. Click on the on the Random HTML link in the CGI Center area.

  2. Enter each piece of random text in the box and make sure you put each piece of text on a new line. You can not include new paragraphs within the one piece of text, as the script will separate each new paragraph into a new piece of text.

  3. Copy and paste the tag at the top of the page into your web page at the appropriate place.

  4. Change your web page extension from .htm or .html to .shtml. This is the required file extension to use SSI (Server Side Includes).

  5. Click on the Save button.

  6. Upload the web page and test the script.


Guestbook

This is a simple guestbook script that allows you to create a guestbook that your visitors can sign. You can modify the appearance of the guestbook, and view and manage guestbook entries.

Note: A more advanced guestbook, with many more features, is also available. However, this does take more time to set up, and requires some MySQL knowledge.

To create a guestbook:

  1. Click on the Simple Guestbook link in the CGI Center area.

  2. Copy and paste the HTML code at the bottom of the page to your web page. Feel free to alter the appearance of the form - as long as all the fields are available, the script will still work correctly.

    This is the minimum you need to do to get the script working - upload the file, and you're finished. Refer to Modifying the guestbook template if you need to customize the appearance of the guestbook.

  3. Upload the finished HTML page to test the script.

Topics:


Modifying the guestbook template

You can modify the appearance of your guestbook template at any time.

To modify the guestbook template:

  1. Click on the Simple Guestbook link in the CGI Center area.

  2. Click on the Edit Guestbook Template link.

  3. Copy and paste any HTML code that you want into the template to alter it's appearance.

  4. Click on the Save button.

  5. Upload the finished HTML page.


Viewing the guestbook

You will want to be able to view your guestbook once visitors start leaving comments. You can keep the guestbook private, or you can set it up so that anyone can view the guestbook.

To view the guestbook:

  1. Click on the Simple Guestbook link in the CGI Center area.

  2. Click on the View Guest Book link.

  3. You can now view the guestbook. If you want to make the guestbook available to anyone, open the viewing page in its own frame (right-click in Internet Explorer).

  4. Copy the URL show in your browser when viewing the guestbook and make it a link on the same page as the sign-in form.


Managing the guestbook

You may want to delete entries in your guestbook, either when the page gets too large or if you do not want to keep certain entries. This is easily handled through CPanel.

To view the guestbook:

  1. Click on the Simple Guestbook link in the CGI Center area.

  2. Click on the Manage Guest Book link.

  3. Click on the Delete This Entry link above any entry that you no longer want.


Advanced Guestbook

The Advanced Guestbook script offers more features than the Guestbook script by using PHP and a MySQL database.

Refer to Managing the Advanced Guestbook if you need to manage your Advanced Guestbook after it has been set up.

To install the Advanced Guestbook script:

  1. Click on the Advanced Guestbook link in the CGI Center area.

  2. Enter the directory in which to install the Advanced Guestbook in the available field. This must be a top-level directory on your site.

  3. Click on the Install button.

  4. Click on the available link to change the admin password on the site.

Click to display image Installing the Advanced Guestbook

Topics:

Managing the Advanced Guestbook


Managing the Advanced Guestbook

You can manage all aspects of each Advanced Guestbook that has been set up at any time.

To manage an Advanced Guestbook:

  1. Click on the Advanced Guestbook link in the CGI Center area.

  2. Click on the required Guestbook in the Modify an existing Guestbook area.


Counter Maker

The Counter Maker script allows you to create three different items that you can put on your web pages:

  • Counter

  • Clock

  • Date

Counter

This is a simple counter that displays the number of times a particular web page has been accessed. By putting a counter on your home page, you can keep track of how many visitors have looked at your web site since the counter was created. This is useful not only for your own information, but as a means of showing visitors how popular your site is.

Clock

This is a simple clock that displays the time for the set time zone. It updates each time the page is loaded.

Another available CGI script is a Java clock, which displays the time dynamically, just like a digital watch. However, Java may not be an acceptable technology to use, depending on the browsers your visitors are using.

Date

This is a simple date display that can be customized to display in a number of different formats.

All three items can be heavily customized, as required. You can do the following:

  • Choose the display style from a large number of available styles.

  • Further customize the display style by replacing one color with another.

  • Choose the frame color and thickness around the item.

  • Set time and date formats.

  • Preview the item.

To create a counter, clock, or date:

  1. Click on the Counter link in the CGI Center area.

  2. Click on the Counter, Clock, or Date radio button.

  3. If you are creating a clock, choose the time zone and format options in the TimeZone and TimeFormat drop-down lists.

  4. If you are creating a date display, choose the required date format in the Date Format field. M = Month, D = Day, and Y = Year.

    Example: If you choose the MMDDYY option, the 25th of December, 2003 will be displayed as 12- 25- 2003. If you choose the DDMMYY option, the same date would be displayed as 25- 12- 2003.

  5. Enter the thickness of the border around the item in the Frame Thickness field. Zero removes any border around the item.

  6. Choose the maximum digits in your counter, if required.

  7. Choose the style for the item from the Style drop-down list. To see an example of all of the styles, click on the See Styles link.

  8. Enter the red, green, and blue values for the border in the Frame Color fields. Click on the Preview button to see the border color. Most graphics programs will show you RGB colors, as will the Windows Color Picker.

  9. Enter the name of the counter in the Counter Name field. You can not duplicate item names within the same CPanel.

  10. Click on the Preview button to see what your item will look like. Alter the criteria fields and keep previewing until you are happy with the finished product.

    Click to display image Previewing a counter

  11. Click on the Make HTML button to create the HTML code that you can cut and paste into your HTML page where you want it.

  12. Upload your new HTML page to see how it works.

Topics:

Resetting a counter


Resetting a counter

You may need to reset a counter to 0 at some stage, or set the counter number to some other number. This is easily handled in CPanel.

To reset your counter:

  1. Click on the Counter link in the CGI Center area.

  2. Enter the name of the counter in the Counter Name field.

  3. Enter the new count number in the New Count field.

  4. Click on the Commit Changes button.

Click to display image Resetting a counter


Clock

The Java Clock Maker allows you to create a real-time, dynamic clock, that counts the time just like a digital wrist watch.

To create a Java clock:

  1. Click on the Clock link in the CGI Center area.

  2. Choose the time zone and format for the clock in the TimeZone and TimeFormat drop-down lists.

  3. Choose whether you want a border or not in the Border drop-down list.

  4. Choose whether you want the date to be shown in the Show Date drop-down list.

  5. Alter the display and background colors in the Foreground Color and Background Color drop-down lists.

  6. Click on the Make HTML button to preview the clock and create the HTML code to make it work. Alter the clock and preview the result until you are happy with the display.

    Click to display image Previewing a clock

  7. Copy and paste the HTML code to your web page.

  8. Upload your new HTML page to test the results.


Java CountDown/CountUp Maker

This script creates a Java countdown or countup display, to or from a particular time.

Note: This Java applet, while easy to use, is only minimally customizable and does not present very well. Feel free to use the script as long as you understand these limitations.

To set up the Java CountDown/CountUp Maker

  1. Click on the Countdown link in the CGI Center area.

  2. Choose the time zone for the clock in the TimeZone drop-down list.

  3. Enter the date that you are counting down to or up from in the Month, Hour, Day, and Year drop-down lists.

  4. Click on the Make HTML button to preview the countdown and create the HTML code to make it work. Alter the countdown and preview the result until you are happy with the display.

    Click to display image Making a Java countdown

  5. Copy and paste the HTML code to your web page.

  6. Upload your new HTML page to test the results.


CGI EMail

CGI EMail is a simple, easy-to-use script that takes the results of any form and sends them to you via e-mail. Because it is already installed, minimal configuration is required to successfully use the script.

The following steps provide quick summarized instructions for CGI EMail. Be sure to read the CGI user guide for detailed instructions on using CGI EMail.

To configure CGI EMail:

  1. Create an HTML form with a number of named input fields. Refer to this page for more detailed information of the action component of the form.

  2. Create an e-mail template (a .txt file) that displays the format in which you want your form information displayed in the e-mail. Make sure all your form name codes are one word and in square brackets [].

  3. Upload the .txt and form files to your site.

  4. Go to your cgi-bin directory and change the file permissions on cgiecho and cgie-mail to 755.

  5. Test the script. The cgiecho script is designed for testing online, so you do not have to wait for e-mail to be sent or received.


FormMail Clone

One of the most popular form to e-mail scripts available is FormMail, by Matt Wright. The script can be setup very quickly, and provides a number of customization options. CPanel was written a clone of FormMail which operates in the same manner.

The following steps provide quick installation instructions for FormMail Clone. Be sure to read the FormMail README file for more detailed information about customizing FormMail Clone.

Refer to the FormMail documentation for more information about customizing the FormMail clone script.

To set up FormMail Clone:

  1. Create the form on your web page, with the following fields:

    <form action="http://www.yourdomain.com/cgi-sys/FormMail.cgi" method="POST">
<input type="hidden" name="recipient" value="e-mail@yourdomain.com">
<input type="hidden" name="subject" value="Feedback from web site">
<input type="hidden" name="redirect" value="http://www.yourdomain.com/thankyou.htm">

  2. Upload the web page and test the form. Refer to the FormMail documentation first if you have any questions about using the FormMail script.


Entropy Search

This script enables a nice, quick search engine that can help your visitors find information that they are interested in more easily. The larger the site, the more important the search engine becomes.

Warning: This search engine searches all of the ASCII (text) files on your site. This includes HTML, PERL, plain text files, etc. Since there is no way to limit the search engine, if any of these files contain sensitive information, either encrypt the files or remove them from your site. This is a smart move anyway - you should not store sensitive information on your web site without encryption.

To create an Entropy search engine:

  1. Click on the Rebuild Search Index link under Entropy Search in the CGI Center area. This creates (or recreates) the index file that the search engine uses to find information.

  2. Click on the Back button on your browser and click on the Setup Search Engine link.

  3. Copy and paste the HTML code into your web page.

  4. Use the Search Query field to test the script.

    This is the minimum you need to do to get the script working - upload the file, and you're finished. Refer to Editing the search engine template if you need to customize the appearance of the guestbook.

Click to display image Entropy search engine

Topics:


Editing the search engine template

You can alter the appearance of the search engine template at any time.

To edit the search engine template:

  1. Click on the Setup Search Engine link in the CGI Center area.

  2. Click on the Edit Search Results Template link.

  3. Copy and paste any HTML code that you want into the template to alter it's appearance.

    Warning: Make sure you do not delete the <cgi> tag. This will cause the script to stop working.

  4. Click on the Save button.

  5. Use the Search Query field to test the script.

    Click to display image Testing the Entropy search engine

  6. Upload the finished HTML page.


Rebuilding the search index

You need to rebuild the search engine index whenever you make changes to your site, otherwise the search engine will not be able to find the new material.

To rebuild the search index

  1. Click on the Rebuild Search Index link under Entropy Search in the CGI Center area.


Entropy Banner

The Entropy Banner script allows you to create a set of revolving banner images, normally used for advertising. You can upload and delete files, set priority on the images, and set URLs to which each image points.

To set up an Entropy Banner:

  1. Click on the Entropy Banner link in the CGI Center area.

  2. Copy and paste the indicated tag into your web page.

  3. Change your web page extension from .htm or .html to .shtml. This is the required file extension to use SSI (Server Side Includes).

  4. Click on the Add Banner(s) button.

  5. Search for and enter each banner that you want to upload in the available fields using the Browse... buttons.

  6. Click on the Overwrite existing files tick box if you want to overwrite existing files of the same name.

  7. Click on the Upload button.

  8. If you need to alter the URLs or priority of the images, go to the next step. Otherwise, upload the web page and test the script.

  9. Click on the Modify Rotation button.

  10. Click on the High, Medium, or Low radio buttons for any banner that you need to change, and click on the Save button. You need to do this for each banner that you need to alter.

  11. Enter the URL for each banner image in the Linked to field, and click on the Save button. You need to do this for each banner.

  12. You are now finished. Upload the web page and test the script.

Topics:


Uploading new banners

You can upload banners whenever new banners need to be added to the rotation. You can specify whether you want the new banners to overwrite the old ones or not.

To upload new banners:

  1. Click on the Entropy Banner link in the CGI Center area.

  2. Click on theAdd Banner(s) button.

  3. Search for and enter each banner that you want to upload in the available fields using the Browse... buttons.

  4. Click on the Overwrite existing files tick box if you want to overwrite existing files with new files of the same name.

  5. Click on the Upload button.

  6. If you need to alter the URLs or priority of the images, go to Modifying the rotation and URLs of banners. Otherwise, upload the web page and test the script.


Modifying the rotation and URLs of banners

Modify the rotation of banners, and change their URLs, as you add and remove banners from your site.

To modify banners:

  1. Click on the Entropy Banner link in the CGI Center area.

  2. Click on the Modify Rotation button.

  3. If you need to delete a banner, click on the Delete button. Deleting and re-uploading banners is the only way to change their rotation order.

  4. Click on the High, Medium, or Low radio buttons for any banner that you need to change, and click on the Save button. You need to do this for each banner that you need to alter.

  5. Enter the URL for each banner image in the Linked to field, and click on the Save button. You need to do this for each banner.

  6. Upload the web page and test the script.


Scripts Library

The Scripts Library area provides an easy to use method of installing and uninstalling complex scripts. The following scripts are available:

  • osCommerce - An online shop e-commerce solution under on going development by the open source community. Refer to the osCommerce home page for more information.

  • InvisionBoard - A free-to-use forum software package. Refer to the InvisionBoard home page for more information.

  • PHP-Nuke - An open source content management system. Refer to the PHP-Nuke home page for more information.

To install a script:

  1. Click on the Scripts Library button on the home page.

  2. Click on the link to the required script.

  3. Follow the online instructions.


Interchange shopping cart

Interchange shopping cart icon The Interchange shopping cart is a fully-featured shopping cart that can be installed with the click of a button. The product is fully documented at the Interchange site - please refer to the Interchange web site if you have any questions about using the shopping cart.

To install the Interchange shopping cart:

  1. Click on the Interchange shopping cart button on the home page.

  2. Click on the Click here to access and install Interchange link.

    Click to display image Installing an Interchange shopping cart


Agora Shopping Cart

Agora Shopping Cart icon The Agora Shopping Cart is a fully featured shopping cart that can be installed with the click of a button. The product is fully documented at the Interchange site - please refer to the Agora web site if you have any questions about using the shopping cart.

To install the Agora Shopping Cart:

  1. Click on the Agora Shopping Cart button on the home page.

  2. Enter the administrators user name and password in the Admin User and Admin Pass fields.

  3. Enter the location of the cart in the third available field. This must be a top-level directory on your site.

  4. Click on the Install button.

Click to display image Installing an Agora Shopping Cart

Topics:

Modifying an Agora Shopping Cart


Modifying an Agora Shopping Cart

Refer to the Agora web site if you have any questions about modifying or using the shopping cart.

To modify an Agora Shopping Cart:

  1. Click on the Agora Shopping Cart button on the home page.

  2. Click on the required cart underneath the Modify an existing Cart heading.


Cron jobs

Cron Jobs button Cron jobs allow you to automate repetitive tasks on the server that hosts your web site. This is a powerful tool that allows you to take a hands-free approach to repetitive tasks. For example, you could add a cron job that automatically copies a MySQL database to a separate location on your site as a backup.

There are two different modes you can use to add a cron job:

  • Standard - Provides a range of pre-set options that you can choose. This is the simplest method and is recommended.

  • Advanced (Unix Style) - Provides the regular Unix style cron options. Recommended for users who are used to this method of entering cron entries.

Warning: You need to have a good knowledge of Linux commands before you can use cron jobs effectively. Check your script with your hosting administrator before adding a cron job.

To add or modify a cron job:

  1. Click on the Cron jobs button on the home page.

  2. If you want to use the Standard mode, click on the Standard button.

    1. Enter the e-mail address to send the results of running the cron job in the top field.

    2. Enter the command the you want to run in the Command to run field.

    3. Click on one option from each of the available lists.

    4. Click on the Save Crontab button. Your cron job has now been added or updated.

      Note: You can always click on the Reset Changes button to change the cron job back to whatever it was before you started entering information.

      Click to display image Adding a cron job (Standard mode)

    If you want to use the Advanced mode, click on the Advanced (Unix Style) button.

    1. Enter the times for the cron job in the Minute, Hour, Day, Month, or Weekday fields. Refer to the following page to check exactly how to enter values in these fields - http://www.redhat.com/support/resources/tips/cron/cron.html.

    2. Enter the cron job script in the Command field.

    3. Click on the Commit Changes button. Your cron job has now been added or updated.

      Note: You can always click on the Reset Changes button to change the cron job back to whatever it was before you started entering information.

      Click to display image Adding a cron job (Advanced mode)

Topics:

Deleting a cron job


Deleting a cron job

Delete a cron job when you no longer want the command to be automated. If you are unsure what a cron job is doing it is safer to delete it and check the code with your hosting administrator.

To delete a cron job:

  1. Click on the Cron jobs button on the home page.

  2. Click on the Standard or Advanced (Unix Style) button.

  3. Click on the Delete button next to the required cron job.


Network Tools

Network Tools button The Network Tools area has two available functions:

  • Domain Lookup - Allows you to look up information about a particular domain.

  • Trace Route - Allows you to trace the IP (Internet Protocol) route taken by your server to reach your current ISP (Internet Service Provider).

There are a number of free sites that offer similar functions. One of the most popular is http://www.network-tools.com/.

Topics:


Domain Lookup

The Domain Lookup tool allows you to look up information about a particular domain. It does this by using a DNS (Domain Name System) lookup, which is a general-purpose replicated, data query service used for translating hostnames into Internet addresses. DNS details are published for public use.

To lookup a domain:

  1. Click on the Network Tools button on the home page.

  2. Enter the domain that you want to find out more about in the Enter a domain to lookup field.

  3. Click on the Lookup button.

Click to display image Looking up a domain


Trace Route

The Trace Route tool allows you to trace the IP (Internet Protocol) route taken by your server to reach your current ISP (Internet Service Provider).

To use the Trace Route tool:

  1. Click on the Network Tools button on the home page.

  2. Click on the Trace Route link.


MIME Types

MIME Types button MIME types tell browsers how to handle specific extensions. Most MIME types are set globally on the server. For example, the text/html MIME type equates to htm, html, and shtml extensions on most servers, and this tells your browser to interpret all files with those extensions as HTML files. You can alter or add new MIME types specifically for your site (note that you can not alter the global MIME type values, only add to them). MIME types are often used to handle new technologies as they appear. When WAP technology first appeared no one had these extensions set up on their server. With MIME types, however, you could have set it up yourself and begun serving WAP pages immediately.

Warning: Make sure you check the list of pre-existing MIME types before adding new ones. Check with your hosting administrator before adding a MIME type, as they can easily alter the correct functioning of your web site.

Note: People often get confused as to the difference between MIME types and Apache handlers. Basically, MIME types tell your browser how to handle files, while Apache handlers tell the server how to handle files.

To add a MIME type:

  1. Click on the MIME Types button on the home page.

  2. Enter the MIME type that you want to add in the MIME Type field. Have a look at the list of system-wide MIME types to show you how to add a new one or add to a pre-existing one.

  3. Enter the file extension in the Extension(s) field.

  4. Click on the Add button.

Click to display image Adding a MIME type

Topics:

Deleting a MIME type


Deleting a MIME type

You can delete custom MIME types at any time. However, you can not delete system-wide MIME types - please contact your hosting administrator if you have a problem with one of these.

To delete a MIME type:

  1. Click on the MIME Types button on the home page.

  2. A list of customized MIME types is displayed underneath the User Defined MIME Types area. Enter the details of one of these in the MIME Type and Extension(s) fields.

  3. Click on the Delete button.


Apache handlers

Apache Handlers button Apache is an open-source HTTP server, and is used to serve your site. Apache handlers tell the server how to deal with web files that need to be processed on the server. For example, Apache is set up to process files with .pl extensions using Perl. However, if for some reason you also wanted to process files with .script extension using Perl, then you would have to set up a custom Apache handler for your site.

Note: People often get confused as to the difference between MIME types and Apache handlers. Basically, MIME types tell your browser how to handle files, while Apache handlers tell the server how to handle files.

Warning: Check with your hosting administrator before adding an Apache handler, as they can easily alter the correct functioning of your web site.

To add an Apache handler:

  1. Click on the Apache handlers button on the home page.

  2. Enter the file extension in the Extension(s) field. You need to add the . before the extension name.

  3. Enter the Apache handler in the Handler field. Have a look at the list of system-wide Apache handlers to show you how to add a new one or add to a pre-existing one.

  4. Click on the Add button.

Click to display image Adding an Apache handler

Topics:

Deleting an Apache handler


Deleting an Apache handler

You can delete custom Apache handlers at any time. However, you cannot delete system-wide Apache handlers - please contact your hosting administrator if you have a problem with one of these.

To delete an Apache handler:

  1. Click on the Apache handlers button on the home page.

  2. A list of customized Apache handlers is displayed underneath the User Defined Handlers area. Enter the details of one of these in the Extension(s) and Handler fields.

  3. Click on the Delete button.


Manage OpenPGP keys

Manage OpenPGP keys button OpenPGP is a tool for secure online communication. CPanel uses GnuPG for its public-key cryptography so that users may communicate securely. Each person gets a pair of keys, called the public key and the private key. Each person's public key is published while the private key is kept secret. Messages are encrypted using the intended recipient's public key and can only be decrypted using their private key.

General documentation and comprehensive user guides are available at the GNU Privacy Guard site.

To generate a public and private key:

  1. Click on the Manage OpenPGP Keys button on the home page.

  2. Click on the Add Key link.

  3. Enter your name, e-mail address, and nickname in the Your Name, Your Email, and Comment/NickName fields.

  4. Enter the password for the key in the Key Password field.

  5. Enter the expiry date for the key in the Expiry Date field. You can suffix the entered number with the following:

    • y = year

    • m = month

    • w = week

    • d = day

  6. Choose the size of the key that you want to generate in the Key Size field. 1024 bytes is a common size.

  7. Click on the Generate Key button. Note that it may take a few minutes to generate the key, depending on its size.

Click to display image Generating a public and private key

Topics:


Importing a key

You can import a key directly into CPanel. This will add it to the number of public keys that CPanel trusts.

To import a key:

  1. Click on the Manage OpenPGP Keys button on the home page.

  2. Click on the Import Key link.

  3. Cut and paste the key from the another text file into the available area.

  4. Click on the Import button.

Click to display image Importing a key


Editing a key

You can directly edit a key, if ever required.

To edit a key:

  1. Click on the Manage OpenPGP Keys button on the home page.

  2. Click on the Edit button next to the key that you want to edit.

  3. Edit the key as required.


Deleting a key

You can delete a public or private key whenever required.

To delete a key:

  1. Click on the Manage OpenPGP Keys button on the home page.

  2. Click on the Delete button next to the required key.


HotLink Prevention

HotLink Prevention button Hotlinking is when another web site owner links directly to one or more of your images or multimedia files and includes it on their web page. Not only is this theft of your intellectual property, you are paying for the bandwidth used by that site. Refer to this article for more information on hotlinking.

CPanel can prevent hotlinking by only allowing named sites (such as your own web site) to access files on your site.

To prevent hotlinking:

  1. Click on the HotLink Protection button on the home page.

  2. Enter any other addresses that you will allow to access your site other than the provided defaults in the central area.

  3. Enter the protected extensions in the Extensions to allow field. Make sure you separate each extension with a comma.

  4. Enter the address to redirect any hotlinking to in the Url to Redirect to field.

  5. Click on the Allow direct requests tick box if you want to allow direct URL access to non-HTML files, such as images.

  6. Click on the Activate button.

Click to display image Enabling hotlink protection

Topics:

Disabling hotlink protection


Disabling hotlink protection

Disable hotlink protection when you no longer think that another web site owner is directly linking to your files.

To disable hotlink protection:

  1. Click on the HotLink Protection button on the home page.

  2. Click on the Disable button.

Click to display image Disabling hotlink protection


Index Manager

Index Manager icon The Index Manager enables you to control how directories on your web site are displayed. If there is no index.html in a particular directory, the contents of the directory will be displayed to the browser. This is usually undesirable and can cause security issues. You can set the four different options for any directory through the Index Manager:

  • Default System Setting - Use the system setting for your hosting machine. This is set for all directories by default.

  • No Indexes - Do not use any indexes. Any browser that accesses this directory will see a list of all files in the directory.

  • Standard Indexing (text only) - Prevents browsers from viewing the contents of this directory. The browser receives a 403 (Forbidden) error. This option should be used for directories that do not contain image files.

  • Fancying Indexing (graphics) - Prevents browsers from viewing the contents of this directory. The browser receives a 403 (Forbidden) error. This option should be used for directories that do contain image files.

To change index settings for a directory:

  1. Click on the Index Manager button on the home page.

  2. Navigate to the folder that you want to alter and click on its name.

  3. Click on the radio button next to the option that you want to use for this folder.

  4. Click on the Save button.

Click to display image Changing index settings for a directory


IP Deny Manager

IP Deny Manager button The IP Deny Manager enables you to block access to your web site from specific IP addresses. This is useful to remove nuisance surfers who use a large amount of bandwidth or to prevent hotlinking to your site (refer to HotLink Prevention for more information about hotlinking).

To add an IP address to the IP Deny Manager:

  1. Click on the IP Deny Manager button on the home page.

  2. Enter the IP address that you want to block in the IP Address field.

  3. Click on the Add button.

    Click to display image Adding an IP address to the IP Deny Manager

Topics:

Removing an IP from IP Deny Manager


Removing an IP from IP Deny Manager

Remove a blocked IP address when you no longer need to prevent access from that IP address.

To remove an IP from IP Deny Manager:

  1. Click on the IP Deny Manager button on the home page.

  2. Click on the required IP address from the Remove an IP Deny drop-down list.

  3. Click on the Remove button.


What is CPanel? 1.2

Index

accounts
introduction to e-mail

adding
addon domain
Agora Shopping Cart
Anonymous FTP message
Apache handlers
autoresponders
cron jobs
forwarder
FTP account
Interchange shopping cart
IP address to IP Deny Manager
mailing lists
MIME types
MySQL database host access
parked domain
phpBB
protect directories
redirects
subdomain redirection
subdomain redirection
user

addon domain
adding
deleting

Addon Domains

advanced guestbook
managing

Agora Shopping Cart
adding
modifying

altering
MX Entry

Analog

Anonymous FTP
adding message
removing

Apache handlers
adding
deleting

archived log files

autoresponders
adding
deleting
editing

Awstats

Backup

backups
downloading
generating
restoring site from

bandwidth

blocking e-mail

CGI Center

cgi e-mail

cgi
introduction

Change Password

changing
domain password
e-mail password
file permissions
FTP password

chat rooms
Entropy Chat
PhpMyChat

Chatroom

CHMOD

clock

configuring
Outlook Express

counter maker
resetting counter

CPanel
how to use
logging on
logging out
themes

creating
error pages
MySQL user
new file
new folder
PostgreSQL user

Cron jobs

cron jobs
adding
Advanced mode
deleting
Standard mode

default e-mail address

deleting
active FTP session
addon domain
Apache handlers
autoresponder
cron jobs
e-mail account
files and folders
forwarder
FTP account
keys
mailing lists
MIME types
parked domain
spam filter
subdomains

disabling
hotlink prevention
Spam Assassin
Spam Box

Disk Usage

Disk Usage Viewer

domain lookup

domain pointers

domains
adding a parked
deleting a parked
parked

downloading
archived log files
backup file

e-mail
accounts
blocking
deleting e-mail account
reading
setting default address

editing
autoresponder
file
file using HTML Editor
keys
mailing lists

emptying trash

enabling
hotlink prevention
Spam Assassin
Spam Box

Entropy Banner

entropy banner
modifying rotation
modifying URL
uploading new banners

Entropy Chat

Entropy Search

entropy search
editing template
rebuilding search index

error log

Error pages

error pages
creating
modifying

File Manager
uploading files

file permissions
changing

files
creating
deleting
editing
editing using HTML Editor
renaming

folders
creating
deleting
renaming

formmail clone

forums

forwarders
adding
deleting

Frontpage Extensions
installing
uninstalling

FTP Manager

FTP session

FTP
adding account
changing password
controlling sessions
deleting an account
session
setting up Anonymous access
software
statistics
warning

generating
backup file
keys

GNU Privacy Guard

granting
MySQL user permissions
PostgreSQL user permissions

guestbook
managing
viewing

guestbook template
modifying

help
using

Horde
summary

host access

HotLink Prevention

hotlink prevention
disabling
enabling

hotlinking

importing
keys

Index Manager

indexes

installing
Frontpage Extensions

Interchange shopping cart
adding

InvisionBoard

IP Deny Manager

java countdown

keys
deleting
editing
generating
importing

latest visitors

logging on

logging out

Mail

Mail Exchanger

mailing lists
adding
deleting
editing

Manage OpenPGP keys

managing
advanced guestbook
guestbook
MySQL database
PostgreSQL database

manual
using

MIME types
adding
deleting

modifying
Agora Shopping Cart
error pages
guestbook template
user

MX Entry
altering

MySQL
adding host access
creating user
granting user permissions
introduction
managing database
removing database
removing user
removing user permissions

NeoMail
summary

Network Tools

OpenPGP

osCommerce

Outlook Express

Parked Domains

Password protect directories

password protection

passwords
changing authorized user
changing domain
changing e-mail
domain

PHP-Nuke

phpBB
adding

phpMyAdmin

PhpMyChat

phpPgAdmin

PHP
with MySQL

PostgreSQL
creating user
granting user permissions
introduction
managing database
removing database
removing user
removing user permissions

protect directories
adding
adding user
removing

random HTML

Raw Access Logs

Raw Log Manager

reading e-mail

Redirects

redirects
adding
removing

removing
Anonymous FTP
IP address to IP Deny Manager
MySQL database
MySQL user
MySQL user permissions
PostgreSQL database
PostgreSQL user
PostgreSQL user permissions
protect directories
redirects
user

renaming
files and folders

resetting counter

restoring trash

restoring web site

Scripts Library

scripts
advanced guestbook
cgi e-mail
cgi wrapper
clock
counter maker
Entropy Banner
Entropy Search
formmail clone
guestbook
java countdown
random HTML

Search Engine Submit

search engines
submitting your site

setting
Raw Log Manager

simple cgi wrapper

Spam Assassin
disabling
enabling
Spam Box

Spam Box
disabling
enabling

spam filters
deleting
introduction

SquirrelMail
summary

SSL Shell/Telnet access

statistics
Analog
Awstats
bandwidth
error log
FTP
latest visitors
raw access logs
subdomains
web
Webalizer

subdomain redirection
adding
adding

Subdomain Stats

Subdomains

subdomains
deleting
statistics
subdomain redirection

Telnet

themes

trace route

tracing an e-mail address

trash
emptying
restoring

uninstalling
Frontpage Extensions

uploading files

user
adding
changing password
modifying
removing

using HTML Editor

using
Disk Usage Viewer
help
manual

viewing
guestbook

Web/FTP Stats

Webalizer